# ``twisted`.`internet`.`iocpreactor`.`interfaces`.`IReadHandle``

interface documentation

`class IReadHandle(Interface): (source)`

Known subclasses: `twisted.internet.iocpreactor.interfaces.IReadWriteHandle`

View In Hierarchy

Undocumented

Method | `readFromHandle` | Read into the given buffers from this handle.

def readFromHandle(bufflist, evt): (source)
Read into the given buffers from this handle.

Parameters
bufflist:list of objects implementing the read/write buffer protocol | the buffers to read into
evt | an IOCP Event object
Returns
tuple (return code, number of bytes read)